package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitaddStoreVo extends BaseTransactionVo {

    private Gidgrp gidgrp;


    private Gidgrp oldgidgrp;

    private Ghdadd ghdadd;

    private Gitp gitp;



    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }

        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        if (ghdadd == null) {
            ghdadd = new Ghdadd();
        }
    }
}
